org.apache.maven.scm.manager

## Class NoSuchScmProviderException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.maven.scm.ScmException
      - - org.apache.maven.scm.manager.NoSuchScmProviderException

All Implemented Interfaces:
  Serializable

    public class NoSuchScmProviderException
    extends ScmException

Author:
  Trygve Laugstøl, Emmanuel Venisse
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NoSuchScmProviderException(String providerName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getProviderName()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NoSuchScmProviderException

    public NoSuchScmProviderException(String providerName)

### Method Detail

#### getProviderName

    public String getProviderName()